+ Responder ao Tópico



  1. #1

    Padrão problema instalacao

    pessoal tive um problema com apache e desistalei ele.. mas fico os arquivos de conf ainda.. ai deletei as pastas do etc apache e apache2..
    agora reinstalei.... mas nada..
    to usando debian 4.0..
    alguem pode me ajudar a reinstalar

  2. #2

    Padrão

    Olá,
    Qual é o erro que você está tendo? explique melhor o que está ocorrendo e como você gostaria que o apache funcionasse para que possamos ajudar.



  3. #3

    Padrão

    reinstalou mas nada o que?

    O que acontece ou não acontece? do que ele reclama?

    Informações, por favor...

  4. #4

    Padrão

    disculpa pessoal estava viajando..
    seguinte vo explicar meu problema certinho
    to tentando usar o sagu-pro mas ele ano roda no apache novo 2.2.x recomandarao o 2.0.x pa baixo..
    ai agora entei instalar o 2.0.x na unha.. baixei o pacote descompactei..
    ai fiz
    ./configure
    make
    make install

    tudo normal
    mas nao concegui colocar o php pra roda junto
    ai tentei desistalar.. e nao concigo ja vi ai no forum nao tem o comando make uninstall.. uns deleto na unha.. mas no meu caso tb nao adianto.. ja tentei instalar novamente por apt-get install apache e nao concigo mais voltar o apache funcionar.
    alguem pode me da um luz ?



  5. #5

    Padrão

    Se não me engano, no apache tem o make distclean, que faz essa limpeza.

    Mas, para configurar o apache com o php precisa de alguns parâmetros na linha do configure e do php para funcionar.

    Alguns tutoriais:

    Apache 2 and PHP 5 (mod_php) on Linux
    How To Compile PHP and Apache 2 From Source On Linux
    Install Apache+PHP+MySQL - web.blazonry

  6. #6

    Padrão

    deu certo amigo agora o 1.3 ja ta rodando e abrindo a pagina default..
    eu instalei asim apt-get install apache php5
    blz..
    mas ainda o php nao ta funcionando... como devo proceder ?



  7. #7

    Padrão

    Se eu não me engano, no Debian você tem que instalar o mod_php para o apache. Eu só não lembro exatamente o nome do pacote, mas você pode procurar no apt-cache.

  8. #8

    Padrão

    eu configurei tudo instalei o php normal
    mas o apache ainda nao reconhece o php
    da esse erro quando adciono o modulo

    Syntax error on line 23 of /etc/apache/modules.conf:
    Cannot load /usr/lib/apache2/modules/libphp4.so into server: /usr/lib/apache2/modules/libphp4.so: undefined symbol: unixd_config

    tentei tb instalar o apt-get install libapache-mod-php5
    mas ta dando erro
    Última edição por jdmano; 23-07-2008 às 13:45.



  9. #9

    Padrão

    instalou o php via apt? instalou o php4?

    qual erro deu quando tentou instalar o mod-php5?

  10. #10

    Padrão

    tentei os 2
    apt-get install php4 e 5
    instala normal..
    mas agora tento remover. da uma erro o negocio so ta pirando..rsrs

    to tentando desistalar o libapache-mod-php4 ta dando erro..
    dpkg: erro processando libapache-mod-php4 (--remove):
    subprocesso pre-removal script retornou código de saída de error 20
    Erros foram encontrados durante processamento de:
    libapache-mod-php4
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    acho que vo começar do zero formatar o linux e instalar novamente...